Skip to main content
GET
/
balances
cURL
curl --request GET \
  --url https://api.spotflow.co/api/v1/balances \
  --header 'Authorization: Bearer <token>'
[
  {
    "accountNumber": "7706438396",
    "currency": "GHS",
    "balance": 3,
    "availableBalance": 3,
    "accountTag": "main-account",
    "parentAccountNumber": "string"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt

Use this file to discover all available pages before exploring further.

Adding Test Funds

On test mode with your test keys, you can easily add fake funds to the jollof bank account number created for you using our Funds Simulator App. Note that this is for NGN and GHS only.See the full guide on Adding Fake Funds For Testing.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer<int32>
default:0

Page number for pagination (default is 0).

size
integer<int32>
default:10

Number of items per page for pagination (default is 10).

currency
enum<string>

Choose the currency you want for your sub account. According, to our currently supported currencies, this is in NGN or GHS.

Available options:
NGN,
GHS
mode
enum<string>

This can either be test or live mode.

Available options:
test,
live
from
string<date-time>
to
string<date-time>

Response

A JSON array of balances objects.

accountNumber
string
required
Example:

"7706438396"

currency
string
required
Example:

"GHS"

balance
number<float>
required
Example:

3

availableBalance
number<float>
required
Example:

3

accountTag
string
Example:

"main-account"

parentAccountNumber
string
Example:

"string"